X
Nhấn vào đây để đến phiên bản di động của trang web.

Diễn đàn trợ giúp

How To Use Java With Firefox 43.0.4 x64 English British Version?

Được đăng

Hi I'm Using Java Developer Kit 8 Update 66 And Java Runtime Environment 8 Update 66 On My Windows 10 x64 Computer.

My Installed Firefox Version Is 43.0.4 x64...

I Can't Use Java. How Can I Use Java?

Hi I'm Using Java Developer Kit 8 Update 66 And Java Runtime Environment 8 Update 66 On My Windows 10 x64 Computer. My Installed Firefox Version Is 43.0.4 x64... I Can't Use Java. How Can I Use Java?

Giải pháp được chọn

The real answer is since you are using Win64 Firefox only the 64-bit Flash Player and Silverlight plugins are white listed to run.

If you want to use other Plugins with Firefox on Windows you need 32-bit Firefox and 32-bit Plugins.

Đọc câu trả lời này trong ngữ cảnh 7

Chi tiết hệ thống bổ sung

Phần bổ trợ đã cài đặt

  • Shockwave Flash 20.0 r0

Ứng dụng

  • Firefox 43.0.4
  • Chuỗi đại diện người dùng: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:43.0) Gecko/20100101 Firefox/43.0
  • URL hỗ trợ: https://support.mozilla.org/1/firefox/43.0.4/WINNT/en-GB/

Tiện ích mở rộng

  • Adblock Plus 2.7 ({d10d0bf8-f5b5-c8b4-a8b2-2b9879e08c5d})
  • Case Changer 2.0.0.18.1-signed (casechanger@plugin)
  • Copy Link Text 1.9.0 (copylinktext@brett.zamir)
  • Greasemonkey 3.6 ({e4a8a97b-f2ed-450b-b12d-ee082ba24781})
  • Locationbar² 1.0.6.1-signed (locationbar2@design-noir.de)

Javascript

  • incrementalGCEnabled: True

Đồ họa

  • adapterDescription: NVIDIA GeForce GTX 960
  • adapterDescription2:
  • adapterDeviceID: 0x1401
  • adapterDeviceID2:
  • adapterDrivers: nvd3dumx,nvwgf2umx,nvwgf2umx,nvwgf2umx nvd3dum,nvwgf2um,nvwgf2um,nvwgf2um
  • adapterDrivers2:
  • adapterRAM: 4095
  • adapterRAM2:
  • adapterSubsysID: 00000000
  • adapterSubsysID2:
  • adapterVendorID: 0x10de
  • adapterVendorID2:
  • direct2DEnabled: True
  • directWriteEnabled: True
  • directWriteVersion: 10.0.10586.0
  • driverDate: 12-16-2015
  • driverDate2:
  • driverVersion: 10.18.13.6143
  • driverVersion2:
  • info: {u'AzureCanvasBackend': u'direct2d 1.1', u'AzureFallbackCanvasBackend': u'cairo', u'AzureContentBackend': u'direct2d 1.1', u'AzureSkiaAccelerated': 0}
  • isGPU2Active: False
  • numAcceleratedWindows: 1
  • numTotalWindows: 1
  • supportsHardwareH264: Yes
  • webglRenderer: Google Inc. -- ANGLE (NVIDIA GeForce GTX 960 Direct3D11 vs_5_0 ps_5_0)
  • windowLayerManagerRemote: True
  • windowLayerManagerType: Direct3D 11

Thay đổi cài đặt

Linh tinh

  • Người dùng JS: Không
  • Có thể tiếp cận: Không
FredMcD
  • Top 10 Contributor
4245 giải pháp 59390 câu trả lời
Được đăng

Java Deployment Toolkit 8.0.660.18 is disabled for security issues.

Java Deployment Toolkit 8.0.660.18 is disabled for security issues.
James
  • Moderator
1595 giải pháp 11242 câu trả lời
Được đăng

Giải pháp được chọn

The real answer is since you are using Win64 Firefox only the 64-bit Flash Player and Silverlight plugins are white listed to run.

If you want to use other Plugins with Firefox on Windows you need 32-bit Firefox and 32-bit Plugins.

The real answer is since you are using Win64 Firefox only the 64-bit Flash Player and Silverlight plugins are white listed to run. If you want to use other Plugins with Firefox on Windows you need 32-bit Firefox and 32-bit Plugins.

Câu trả lời hữu ích

Thanks. Is there anyway to white list Java x64 as well?

Thanks. Is there anyway to white list Java x64 as well?
James
  • Moderator
1595 giải pháp 11242 câu trả lời
Được đăng

The user cannot white list Plugins

The user cannot white list Plugins

Câu trả lời hữu ích

Hope Mozilla will make something for x64, So we could use Java in Firefox x64 as well. I just have a question. Can I install Java Runtime x64 and x86 both on my PC? Will that make any problem?

Hope Mozilla will make something for x64, So we could use Java in Firefox x64 as well. I just have a question. Can I install Java Runtime x64 and x86 both on my PC? Will that make any problem?
cor-el
  • Top 10 Contributor
  • Moderator
17467 giải pháp 157849 câu trả lời
Được đăng
See also: *http://www.ghacks.net/2015/11/25/firefox-64-bit-to-support-microsoft-silverlight-after-all/
James
  • Moderator
1595 giải pháp 11242 câu trả lời
Được đăng

https://blog.mozilla.org/futurereleases/2015/10/08/npapi-plugins-in-firefox/

Mozilla may not make effort to allow other Plugin in Win64 Firefox when Mozilla intends to remove support for most NPAPI plugins in Firefox by the end of 2016.

https://blog.mozilla.org/futurereleases/2015/10/08/npapi-plugins-in-firefox/ Mozilla may not make effort to allow other Plugin in Win64 Firefox when Mozilla intends to remove support for most NPAPI plugins in Firefox by the end of 2016.

Người tạo câu hỏi

Ok then how people in future can use Java based web page in Mozilla?

Ok then how people in future can use Java based web page in Mozilla?
cor-el
  • Top 10 Contributor
  • Moderator
17467 giải pháp 157849 câu trả lời
Được đăng
See: *https://blogs.oracle.com/java-platform-group/entry/npapi_plugin_perspectives_and_the

Người tạo câu hỏi

Thanks...

Thanks...
michael_gaismair 0 giải pháp 4 câu trả lời
Được đăng

Hi,

You can download and use Waterfox.

It is basically a re-compile of the 32 bit code into 64 bit.

Just tried it with Oracle JRE 8U66, JRE 8U71 and JRE 8U74. All 64 bit. It seems to work.

Waterfox will however not run the 32 bit versions of the JRE and may encounter problems with other FF add ons.

I found that if you have FireFox and Waterfox installed on the same system that Waterfox uses the same profile as FireFox...

Good luck!

Hi, You can download and use Waterfox. It is basically a re-compile of the 32 bit code into 64 bit. Just tried it with Oracle JRE 8U66, JRE 8U71 and JRE 8U74. All 64 bit. It seems to work. Waterfox will however not run the 32 bit versions of the JRE and may encounter problems with other FF add ons. I found that if you have FireFox and Waterfox installed on the same system that Waterfox uses the same profile as FireFox... Good luck!